package com.vitorflores.connectfit.Model;

// This class is responsible to store the users info, like his id and name
public class User {
    private String id;
    private String userName;
    private String searchableName;
    private String accountType;
    private String imageURL;
    private String city;
    private String state;
    private String height;
    private String weight;
    private String about;
    private String cref;
    private Double latitude;
    private Double longitude;

    public User() {}

    public User(String id, String userName, String searchableName, String accountType, String imageURL, String city, String state, String height, String weight, String about, String cref) {
        this.id = id;
        this.userName = userName;
        this.searchableName = searchableName;
        this.accountType = accountType;
        this.imageURL = imageURL;
        this.city = city;
        this.state = state;
        this.height = height;
        this.weight = weight;
        this.about = about;
        this.cref = cref;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getSearchableName() {
        return searchableName;
    }

    public void setSearchableName(String searchableName) {
        this.searchableName = searchableName;
    }

    public String getAccountType() {
        return accountType;
    }

    public void setAccountType(String accountType) {
        this.accountType = accountType;
    }

    public String getImageURL() {
        return imageURL;
    }

    public void setImageURL(String imageURL) {
        this.imageURL = imageURL;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getAbout() {
        return about;
    }

    public void setAbout(String about) {
        this.about = about;
    }

    public String getCref() {
        return cref;
    }

    public void setCref(String cref) {
        this.cref = cref;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }
}
